# Generated by the gRPC Python protocol compiler plugin. DO NOT EDIT!
"""Client and server classes corresponding to protobuf-defined services."""
import grpc

import news_databroker_pb2 as news__databroker__pb2


class NewsDatabrokerStub(object):
    """Missing associated documentation comment in .proto file."""

    def __init__(self, channel):
        """Constructor.

        Args:
            channel: A grpc.Channel.
        """
        self.get_next = channel.unary_unary(
                '/NewsDatabroker/get_next',
                request_serializer=news__databroker__pb2.Empty.SerializeToString,
                response_deserializer=news__databroker__pb2.NewsText.FromString,
                )
        self.get_dataset_metadata = channel.unary_unary(
                '/NewsDatabroker/get_dataset_metadata',
                request_serializer=news__databroker__pb2.Empty.SerializeToString,
                response_deserializer=news__databroker__pb2.DatasetFeatues.FromString,
                )


class NewsDatabrokerServicer(object):
    """Missing associated documentation comment in .proto file."""

    def get_next(self, request, context):
        """Missing associated documentation comment in .proto file."""
        context.set_code(grpc.StatusCode.UNIMPLEMENTED)
        context.set_details('Method not implemented!')
        raise NotImplementedError('Method not implemented!')

    def get_dataset_metadata(self, request, context):
        """Missing associated documentation comment in .proto file."""
        context.set_code(grpc.StatusCode.UNIMPLEMENTED)
        context.set_details('Method not implemented!')
        raise NotImplementedError('Method not implemented!')


def add_NewsDatabrokerServicer_to_server(servicer, server):
    rpc_method_handlers = {
            'get_next': grpc.unary_unary_rpc_method_handler(
                    servicer.get_next,
                    request_deserializer=news__databroker__pb2.Empty.FromString,
                    response_serializer=news__databroker__pb2.NewsText.SerializeToString,
            ),
            'get_dataset_metadata': grpc.unary_unary_rpc_method_handler(
                    servicer.get_dataset_metadata,
                    request_deserializer=news__databroker__pb2.Empty.FromString,
                    response_serializer=news__databroker__pb2.DatasetFeatues.SerializeToString,
            ),
    }
    generic_handler = grpc.method_handlers_generic_handler(
            'NewsDatabroker', rpc_method_handlers)
    server.add_generic_rpc_handlers((generic_handler,))


 # This class is part of an EXPERIMENTAL API.
class NewsDatabroker(object):
    """Missing associated documentation comment in .proto file."""

    @staticmethod
    def get_next(request,
            target,
            options=(),
            channel_credentials=None,
            call_credentials=None,
            insecure=False,
            compression=None,
            wait_for_ready=None,
            timeout=None,
            metadata=None):
        return grpc.experimental.unary_unary(request, target, '/NewsDatabroker/get_next',
            news__databroker__pb2.Empty.SerializeToString,
            news__databroker__pb2.NewsText.FromString,
            options, channel_credentials,
            insecure, call_credentials, compression, wait_for_ready, timeout, metadata)

    @staticmethod
    def get_dataset_metadata(request,
            target,
            options=(),
            channel_credentials=None,
            call_credentials=None,
            insecure=False,
            compression=None,
            wait_for_ready=None,
            timeout=None,
            metadata=None):
        return grpc.experimental.unary_unary(request, target, '/NewsDatabroker/get_dataset_metadata',
            news__databroker__pb2.Empty.SerializeToString,
            news__databroker__pb2.DatasetFeatues.FromString,
            options, channel_credentials,
            insecure, call_credentials, compression, wait_for_ready, timeout, metadata)
